Skip to main content
GET
/
strategies
/
{id}
/
status
List pending strategy actions for a wallet
curl --request GET \
  --url https://api.deframe.io/strategies/{id}/status \
  --header 'x-api-key: <api-key>'
{
  "strategyId": "<string>",
  "wallet": "0xb794F5eA0ba39494cE839613fffBA74279579268",
  "hasPending": true,
  "message": "<string>",
  "actions": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "PENDING",
      "steps": [
        {
          "stepIndex": 123,
          "status": "<string>",
          "legs": [
            {
              "kind": "<string>",
              "status": "<string>",
              "operator": "<string>"
            }
          ]
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "currentStep": {
        "stepIndex": 123,
        "status": "<string>",
        "legs": [
          {
            "kind": "<string>",
            "status": "<string>",
            "operator": "<string>"
          }
        ]
      },
      "suw": {
        "singleUseAddress": "0xb794F5eA0ba39494cE839613fffBA74279579268",
        "fundsReturnedToWallet": true,
        "order": {
          "orderUid": "<string>",
          "posted": true,
          "quoteId": "<string>",
          "action": "<string>",
          "sellAmount": "<string>",
          "buyAmount": "<string>",
          "status": "<string>",
          "validTo": 123,
          "creationDate": "<string>",
          "executionDate": "<string>",
          "executedSellAmount": "<string>",
          "executedBuyAmount": "<string>",
          "txHash": "<string>",
          "canOpenOrder": true,
          "code": "<string>",
          "message": "<string>",
          "retryable": true,
          "lastPostError": "<string>",
          "lastPostAttemptAt": "<string>",
          "providerError": "<string>"
        },
        "balances": {
          "underlying": {
            "address": "0xb794F5eA0ba39494cE839613fffBA74279579268",
            "symbol": "<string>",
            "decimals": 123,
            "amountRaw": "<string>",
            "amountHumanized": "<string>"
          },
          "strategy": {
            "address": "0xb794F5eA0ba39494cE839613fffBA74279579268",
            "symbol": "<string>",
            "decimals": 123,
            "amountRaw": "<string>",
            "amountHumanized": "<string>"
          }
        },
        "timing": {
          "requestedAt": "<string>",
          "ageSeconds": 123,
          "deadlineSeconds": 123,
          "refundAt": "<string>",
          "secondsUntilRefund": 123
        },
        "pricing": {
          "side": "<string>",
          "referencePriceUsd": 123,
          "livePriceUsd": 123,
          "priceSource": "<string>",
          "driftBps": 123,
          "slippageBps": 123
        },
        "suwSteps": [
          {
            "stepIndex": 123,
            "label": "<string>",
            "status": "<string>",
            "txHash": "<string>",
            "legs": [
              {
                "kind": "<string>",
                "status": "<string>",
                "operator": "<string>"
              }
            ]
          }
        ]
      }
    }
  ],
  "orderBook": {
    "requestLend": {
      "canOpenOrder": true,
      "retryable": true,
      "code": "<string>",
      "message": "<string>",
      "errorType": "<string>",
      "probeSellAmount": "<string>",
      "probeBuyAmount": "<string>"
    },
    "requestWithdraw": {
      "canOpenOrder": true,
      "retryable": true,
      "code": "<string>",
      "message": "<string>",
      "errorType": "<string>",
      "probeSellAmount": "<string>",
      "probeBuyAmount": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Path Parameters

id
string
required

Strategy ID or slug

Query Parameters

wallet
string
required

Wallet address used when the action was created

Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

Response

Pending strategy actions retrieved

Pending strategy operations for a wallet. Ondo stock strategies include order-book availability and per-action SUW settlement snapshots.

strategyId
string
required
wallet
string
required

Ethereum address (EVM-compatible)

Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

hasPending
boolean
required
message
string
required
actions
object[]
required
orderBook
object